<?php
namespace AkTest\Fs;

use Ak\Fs\ConfigProvider;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

final class TestConfigProvider
{
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            ConfigProvider::class,

            new ArrayProvider([
                'fs' => [
                    'test' => [
                        'adapter' => 'local',
                        'options' => [
                            'root' => __DIR__ . '/data',
                        ],
                    ],
                ],
            ]),
        ]))->getMergedConfig();
    }
}
